JavaScriptMinify (Gradle API 4.3.1)
Date: 2017-11-08

org.gradle.play.tasks

## Class JavaScriptMinify

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.play.tasks.JavaScriptMinify

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>

      @Incubating
      public class JavaScriptMinify
      extends SourceTask

  Task to minify JavaScript assets.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.api.tasks.SourceTask

      `source`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptMinify()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getDestinationDir()` Returns the output directory that processed JavaScript is written to.
    `protected org.gradle.api.internal.file.FileResolver` | `getFileResolver()`
    `BaseForkOptions` | `getForkOptions()` The fork options to be applied to the JavaScript compiler.
    `PlayToolChain` | `getToolChain()` Returns the tool chain that will be used to compile the JavaScript source.
    `void` | `setDestinationDir(File destinationDir)` Sets the output directory where processed JavaScript should be written.
    `void` | `setPlayPlatform(PlayPlatform playPlatform)` Sets the target Play platform.

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, getSource, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputDirectory, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaScriptMinify

          public JavaScriptMinify()

  - ### Method Detail

    - #### getFileResolver

          @Inject
          protected org.gradle.api.internal.file.FileResolver getFileResolver()

    - #### getToolChain

          @Inject
          public PlayToolChain getToolChain()

      Returns the tool chain that will be used to compile the JavaScript source.
      Returns:
        The tool chain.

    - #### getDestinationDir

          @OutputDirectory
          public File getDestinationDir()

      Returns the output directory that processed JavaScript is written to.
      Returns:
        The output directory.

    - #### setDestinationDir

          public void setDestinationDir(File destinationDir)

      Sets the output directory where processed JavaScript should be written.
      Parameters:
        `destinationDir` - The output directory.

    - #### setPlayPlatform

          public void setPlayPlatform(PlayPlatform playPlatform)

      Sets the target Play platform.
      Parameters:
        `playPlatform` - The target Play platform.

    - #### getForkOptions

          public BaseForkOptions getForkOptions()

      The fork options to be applied to the JavaScript compiler.
      Returns:
        The fork options for the JavaScript compiler.